Mandrake Linux Security Advisory : kolab-server (MDKSA-2004:052)

Medium Nessus Plugin ID 14151


The remote Mandrake Linux host is missing a security update.


Luca Villani reported the disclosure of critical configuration information within Kolab, the KDE Groupware server. The affected versions store OpenLDAP passwords in plain text. The heart of Kolab is an engine written in Perl that rewrites configuration for certain applications based on templates. The build() function in the engine left slapd.conf world-readable exhibiting the OpenLDAP root password.


Update the affected kolab-server package.

See Also

Plugin Details

Severity: Medium

ID: 14151

File Name: mandrake_MDKSA-2004-052.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:kolab-server, cpe:/o:mandrakesoft:mandrake_linux:10.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2004/05/26

Reference Information

CVE: CVE-2004-1997

MDKSA: 2004:052